"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrderLookupStatus = exports.PriceIncreaseStatus = exports.OfferType = exports.ExpirationIntent = exports.AutoRenewStatus = exports.SubscriptionStatus = exports.TransactionType = exports.OwnershipType = exports.Environment = void 0;
var Environment;
(function (Environment) {
    Environment["Production"] = "production";
    Environment["Sandbox"] = "sandbox";
})(Environment = exports.Environment || (exports.Environment = {}));
// https://developer.apple.com/documentation/appstoreserverapi/inappownershiptype
var OwnershipType;
(function (OwnershipType) {
    OwnershipType["Purchased"] = "PURCHASED";
    OwnershipType["FamilyShared"] = "FAMILY_SHARED";
})(OwnershipType = exports.OwnershipType || (exports.OwnershipType = {}));
// https://developer.apple.com/documentation/appstoreserverapi/type
var TransactionType;
(function (TransactionType) {
    TransactionType["AutoRenewableSubscription"] = "Auto-Renewable Subscription";
    TransactionType["NonConsumable"] = "Non-Consumable";
    TransactionType["Consumable"] = "Consumable";
    TransactionType["NonRenewingSubscription"] = "Non-Renewing Subscription";
})(TransactionType = exports.TransactionType || (exports.TransactionType = {}));
// https://developer.apple.com/documentation/appstoreserverapi/status
var SubscriptionStatus;
(function (SubscriptionStatus) {
    SubscriptionStatus[SubscriptionStatus["Active"] = 1] = "Active";
    SubscriptionStatus[SubscriptionStatus["Expired"] = 2] = "Expired";
    SubscriptionStatus[SubscriptionStatus["InBillingRetry"] = 3] = "InBillingRetry";
    SubscriptionStatus[SubscriptionStatus["InBillingGracePeriod"] = 4] = "InBillingGracePeriod";
    SubscriptionStatus[SubscriptionStatus["Revoked"] = 5] = "Revoked";
})(SubscriptionStatus = exports.SubscriptionStatus || (exports.SubscriptionStatus = {}));
// https://developer.apple.com/documentation/appstoreserverapi/autorenewstatus
var AutoRenewStatus;
(function (AutoRenewStatus) {
    AutoRenewStatus[AutoRenewStatus["Off"] = 0] = "Off";
    AutoRenewStatus[AutoRenewStatus["On"] = 1] = "On";
})(AutoRenewStatus = exports.AutoRenewStatus || (exports.AutoRenewStatus = {}));
// https://developer.apple.com/documentation/appstoreserverapi/expirationintent
var ExpirationIntent;
(function (ExpirationIntent) {
    ExpirationIntent[ExpirationIntent["Canceled"] = 1] = "Canceled";
    ExpirationIntent[ExpirationIntent["BillingError"] = 2] = "BillingError";
    ExpirationIntent[ExpirationIntent["RejectedPriceIncrease"] = 3] = "RejectedPriceIncrease";
    ExpirationIntent[ExpirationIntent["ProductUnavailable"] = 4] = "ProductUnavailable";
})(ExpirationIntent = exports.ExpirationIntent || (exports.ExpirationIntent = {}));
// https://developer.apple.com/documentation/appstoreserverapi/offertype
var OfferType;
(function (OfferType) {
    OfferType[OfferType["Introductory"] = 1] = "Introductory";
    OfferType[OfferType["Promotional"] = 2] = "Promotional";
    OfferType[OfferType["SubscriptionOfferCode"] = 3] = "SubscriptionOfferCode";
})(OfferType = exports.OfferType || (exports.OfferType = {}));
// https://developer.apple.com/documentation/appstoreserverapi/priceincreasestatus
var PriceIncreaseStatus;
(function (PriceIncreaseStatus) {
    PriceIncreaseStatus[PriceIncreaseStatus["NoResponse"] = 0] = "NoResponse";
    PriceIncreaseStatus[PriceIncreaseStatus["Consented"] = 1] = "Consented";
})(PriceIncreaseStatus = exports.PriceIncreaseStatus || (exports.PriceIncreaseStatus = {}));
// https://developer.apple.com/documentation/appstoreserverapi/orderlookupstatus
var OrderLookupStatus;
(function (OrderLookupStatus) {
    OrderLookupStatus[OrderLookupStatus["Valid"] = 0] = "Valid";
    OrderLookupStatus[OrderLookupStatus["Invalid"] = 1] = "Invalid";
})(OrderLookupStatus = exports.OrderLookupStatus || (exports.OrderLookupStatus = {}));
